package com.fs.doc.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotNull;

/**
 * 订单回复对象 doc_order_reply
 * 
 * @author fs
 * @date 2023-01-09
 */
public class DocOrderReply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long replyId;

    /** 订单ID */
    @Excel(name = "订单ID")
    @NotNull(message = "订单号不能为空")
    private Long orderId;

    /** 回复内容 */
    @Excel(name = "回复内容")
    @NotNull(message = "回复内容不能为空")
    private String content;

    /** 图片 */
    @Excel(name = "图片")
    private String images;

    /** 视频 */
    @Excel(name = "视频")
    private String video;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 员工ID */
    @Excel(name = "员工ID")
    private Long companyUserId;

    public void setReplyId(Long replyId) 
    {
        this.replyId = replyId;
    }

    public Long getReplyId() 
    {
        return replyId;
    }
    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setImages(String images) 
    {
        this.images = images;
    }

    public String getImages() 
    {
        return images;
    }
    public void setVideo(String video) 
    {
        this.video = video;
    }

    public String getVideo() 
    {
        return video;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setCompanyUserId(Long companyUserId) 
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId() 
    {
        return companyUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("replyId", getReplyId())
            .append("orderId", getOrderId())
            .append("content", getContent())
            .append("images", getImages())
            .append("video", getVideo())
            .append("companyId", getCompanyId())
            .append("companyUserId", getCompanyUserId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
